Cal10nConstants (Compiler assisted localization library (CAL10N) - Parent 0.7.7 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.qos.cal10n
Class Cal10nConstants

    java.lang.Object
      ch.qos.cal10n.Cal10nConstants

    public class Cal10nConstants

extends Object

This class defines the shared constants in CAL10N.

Author:
  Ceki Gülcü

Field Summary
`static String` | `CODE_URL_PREFIX`
`static String` | `MessageKeyVerifier_FQCN`
`static String` | `MISSING_BN_ANNOTATION_URL`
`static String` | `MISSING_ENUM_TYPES_MSG`
`static String` | `MISSING_ENUM_TYPES_URL`
`static String` | `MISSING_LD_ANNOTATION_MESSAGE`
`static String` | `MISSING_LD_ANNOTATION_URL`

Constructor Summary
`Cal10nConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MessageKeyVerifier_FQCN

    public static final String MessageKeyVerifier_FQCN

See Also:
  Constant Field Values

### CODE_URL_PREFIX

    public static final String CODE_URL_PREFIX

See Also:
  Constant Field Values

### MISSING_BN_ANNOTATION_URL

    public static final String MISSING_BN_ANNOTATION_URL

See Also:
  Constant Field Values

### MISSING_LD_ANNOTATION_URL

    public static final String MISSING_LD_ANNOTATION_URL

See Also:
  Constant Field Values

### MISSING_LD_ANNOTATION_MESSAGE

    public static final String MISSING_LD_ANNOTATION_MESSAGE

See Also:
  Constant Field Values

### MISSING_ENUM_TYPES_URL

    public static final String MISSING_ENUM_TYPES_URL

See Also:
  Constant Field Values

### MISSING_ENUM_TYPES_MSG

    public static final String MISSING_ENUM_TYPES_MSG

See Also:
  Constant Field Values

Constructor Detail

### Cal10nConstants

    public Cal10nConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 QOS.ch. All Rights Reserved.